%define anolis_release 39
Name:           perl-FreezeThaw
Version:        0.5001
Release:        %{anolis_release}%{?dist}
Summary:        Convert Perl structures to strings and back
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/FreezeThaw
Source0:        https://cpan.metacpan.org/authors/id/I/IL/ILYAZ/modules/FreezeThaw-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Test Suite
BuildRequires:  perl(dumpvar.pl)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(overload)
# Dependencies
 
%description
Converts data to/from stringified form, appropriate for
saving-to/reading-from permanent storage.

%package doc
Summary: Documents for %{name}
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.
 
%prep
%setup -q -n FreezeThaw-%{version}
 
# Fix permissions
find -type f -exec chmod -c -x {} \;
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install}
%{_fixperms} -c %{buildroot}
 
%check
make test
 
%files
%{perl_vendorlib}/FreezeThaw.pm
%{_mandir}/man3/FreezeThaw.3*

%files doc
%doc Changes README

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 0.5001-39
- Import package for anolis 23
